// Module Author: Chris Pederick / Biju G.C. 2003.0625 
// License: The Mozilla Public License ( http://www.mozilla.org/MPL/ )
// Homepage: http://quicktools.mozdev.org/
//
// Credits to Chris Pederick ( http://chrispederick.myacen.com/work/phoenix/useragentswitcher/ )
// Structure for this routine was taken from User Agent Switcher extension;
//
// Change Log :
// 2003.08.22
//   - Biju G.C. 
//   - Copied from Quick Tools and changed to fit for QuickToolsDisableExit

var author              = "Biju G. C.";
var displayName         = "QuickTools Disable Exit";
var name                = "quicktoolsdisableexit";
var version             = "2003.0822.0";

var installContent      = true;
var installLocale       = false;
var installSkin         = false;

var jarName             = "QuickToolsDisableExit.jar";

var flagLocation        = PROFILE_CHROME;
var folder              = getFolder("Current User", "chrome");
var existsInApplication = File.exists(getFolder(getFolder("Chrome"), jarName));
var existsInProfile     = File.exists(getFolder(folder, jarName));

var msgTitle            = displayName + " (" +version + ")\n\n"

var msgLocationChk      = "Select Install Location : " + msgTitle 
                        + "Do you want to install the extension into your profile folder?\n"
                        + "[OK] ______ to install in your Personal Profile folder\n"
                        + "[Cancel] ___ will install into the Application folder"

var msgSuccess          = "Success : " + msgTitle +  "Extension has been successfully installed!\n\n"
                        + "You must restart Firebird to complete installation!"

var msgFail             = "Failed : " + msgTitle +  "The installation of the extension failed.\nError : " 


initInstall(displayName, name, version);

if(existsInApplication || (!existsInProfile && !confirm(msgLocationChk)))
{
  flagLocation = DELAYED_CHROME;
  folder       = getFolder("Chrome");
}

setPackageFolder(folder);
addFile(name, jarName, folder, "");

installContent && registerChrome(CONTENT | flagLocation, getFolder(folder, jarName), "content/" + name + "/");
installLocale  && registerChrome(LOCALE  | flagLocation, getFolder(folder, jarName), "locale/en-US/" + name + "/");
installSkin    && registerChrome(SKIN    | flagLocation, getFolder(folder, jarName), "skin/" + name + "/");

if(getLastError() == SUCCESS)
{
  performInstall();
  alert(msgSuccess);
}
else
{
  cancelInstall(getLastError());
  alert(msgFail + getLastError());
}

